<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.206
Name: Special treatments and procedures section
Description: The Procedure steps section contains the description of tissue dissection: representative specimens and derived specimens dissected for other ancillary procedures (flow cytometry, cytogenetics, molecular studies, electron microscopy, etc.) or biorepository.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000">
   <title>Special treatments and procedures section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]
Item: (Specialtreatmentsandproceduressection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]"
         id="d42e5076-false-d109842e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@classCode) = ('DOCSECT')">(Specialtreatmentsandproceduressection): de waarde van classCode MOET 'DOCSECT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']) &gt;= 1">(Specialtreatmentsandproceduressection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']) &lt;= 1">(Specialtreatmentsandproceduressection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code[(@code = '46059-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Specialtreatmentsandproceduressection): element hl7:code[(@code = '46059-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code[(@code = '46059-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Specialtreatmentsandproceduressection): element hl7:code[(@code = '46059-2' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Specialtreatmentsandproceduressection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Specialtreatmentsandproceduressection): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Specialtreatmentsandproceduressection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Specialtreatmentsandproceduressection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']
Item: (Specialtreatmentsandproceduressection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']"
         id="d42e5080-false-d109889e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.206')">(Specialtreatmentsandproceduressection): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.206' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:code[(@code = '46059-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:code[(@code = '46059-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5085-false-d109904e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or (@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')">(Specialtreatmentsandproceduressection): de elementwaarde MOET een zijn van 'code '46059-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:title[not(@nullFlavor)]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:title[not(@nullFlavor)]"
         id="d42e5090-false-d109920e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:text[not(@nullFlavor)]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.206']]/hl7:text[not(@nullFlavor)]"
         id="d42e5092-false-d109930e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
