<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.213
Name: Clinical Information Section (with specimen)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000">
   <title>Clinical Information Section (with specimen)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]"
         id="d42e6305-false-d121622e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@classCode) = ('DOCSECT')">(ClinicalInformationSectionwithspecimen): de waarde van classCode MOET 'DOCSECT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.1']) &lt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']) &gt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']) &lt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:code[(@code = '22636-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:code[(@code = '22636-5' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:code[(@code = '22636-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:code[(@code = '22636-5' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.384']]]) &gt;= 1">(ClinicalInformationSectionwithspecimen): element hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.384']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.1']
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.1']"
         id="d42e6309-false-d121690e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.8.1.2.1')">(ClinicalInformationSectionwithspecimen): de waarde van root MOET '1.3.6.1.4.1.19376.1.8.1.2.1' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']"
         id="d42e6314-false-d121705e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.213')">(ClinicalInformationSectionwithspecimen): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.213' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:code[(@code = '22636-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:code[(@code = '22636-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6319-false-d121720e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="@nullFlavor or (@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')">(ClinicalInformationSectionwithspecimen): de elementwaarde MOET een zijn van 'code '22636-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:title[not(@nullFlavor)]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:title[not(@nullFlavor)]"
         id="d42e6324-false-d121736e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="text()='Klinische gegevens'">(ClinicalInformationSectionwithspecimen): de elementinhoud van hl7:title[not(@nullFlavor)] MOET ''Klinische gegevens'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:text[not(@nullFlavor)]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:text[not(@nullFlavor)]"
         id="d42e6331-false-d121750e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.384']]]
Item: (ClinicalInformationSectionwithspecimen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.213']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.384']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20230110T124552/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@typeCode) = ('DRIV')">(ClinicalInformationSectionwithspecimen): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
